> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conare.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Conare's API is at https://api.conare.ai. Authenticate with `Authorization: Bearer $CONARE_API_KEY`.
> The full OpenAPI spec is at https://api.conare.ai/openapi.yaml; each endpoint has a page under /api-reference, and appending .md to any page URL returns its Markdown.
> Embed with model conare-embed-1; send input_type "query" for search queries. Rerank with conare-rerank-1.
> Prefer the TypeScript SDK (`npm install conare`) or plain HTTP in examples.
> Install the Conare skill with `npx skills add https://docs.conare.ai`; search these docs over MCP at https://docs.conare.ai/mcp; the whole site is at https://docs.conare.ai/llms-full.txt.

# API 개요

> Conare API의 기본 URL, 인증, 오류, 재시도, 속도 제한, 헤더.

Conare API는 HTTPS 위의 JSON입니다. 모든 엔드포인트는 이 탭에 플레이그라운드가 있는 페이지를 가집니다.

| | |
| - | - |
| 기본 URL | `https://api.conare.ai` |
| 인증 | `Authorization: Bearer $CONARE_API_KEY` |
| 키 | [콘솔](https://docs.conare.ai/ko/console.md#키)에서 생성합니다. 서버에만 보관하세요 |
| 본문 | JSON, snake\_case. 알 수 없는 필드는 `400`입니다 |
| 사양 | [api.conare.ai/openapi.yaml](https://api.conare.ai/openapi.yaml) |

```bash theme={null}
curl https://api.conare.ai/namespaces \
  -H "Authorization: Bearer $CONARE_API_KEY"
```

OpenAI 및 Cohere 호환 경로(`/v1`, `/v2`)는 알 수 없는 필드를 무시합니다.

## 오류

```json theme={null}
{
  "error": {
    "code": "invalid_request",
    "message": "documents[0].text is required",
    "request_id": "45ea7c7353368cb646e5cc2303008072"
  }
}
```

| 상태 | 의미 |
| - | - |
| 400 | 요청이 잘못되었습니다. `message`에 이유가 있습니다 |
| 401 | 키가 없거나, 틀렸거나, 폐기되었습니다 |
| 403 | 키로 이 네임스페이스나 경로에 접근할 수 없습니다 |
| 404 | 찾을 수 없음 |
| 409 | 버전 충돌, 또는 동시 쓰기가 먼저 반영됨 |
| 413 | 본문, 문서 또는 파일이 너무 큼 |
| 415 | 지원되지 않는 [파일](https://docs.conare.ai/ko/files.md) 유형 |
| 422 | 파일을 읽을 수 없거나, `Idempotency-Key`가 다른 요청에 재사용됨 |
| 429 | [속도 제한](#속도-제한) 초과 |
| 5xx | 당사 측 문제 |

## 재시도

| 경우 | 조치 |
| - | - |
| `429`, `503` | `Retry-After` 헤더의 초만큼 기다린 후 재시도 |
| 기타 5xx | 백오프로 재시도 |
| 쓰기와 삭제 | `Idempotency-Key`(UUID)를 보내세요. 24시간 내 반복 요청은 `Idempotent-Replayed: true`와 함께 첫 응답을 반환하며 아무것도 변경하지 않습니다 |

[SDK](https://docs.conare.ai/ko/sdk.md)는 재시도와 `Idempotency-Key` 전송을 자동으로 처리합니다.

## 속도 제한

조직 단위입니다. 최대 10초 분량의 버스트는 괜찮으며, 제한을 넘으면 API가 `Retry-After`와 함께 `429`를 반환합니다.

| 호출 | 초당 | 동시 처리 |
| - | - | - |
| 검색 | 100 | 128 |
| 쓰기 | 문서 100개 | 64 |
| 임베딩 | 텍스트 100개 | 16 |
| 리랭킹 | 20 | 16 |
| [turbopuffer API](https://docs.conare.ai/ko/turbopuffer.md) 쿼리 | 1,000 | |
| 그 외 전부 | 100 | |

## 헤더

| 헤더 | 방향 | 의미 |
| - | - | - |
| `Authorization` | 요청 | `Bearer`와 키 |
| `Idempotency-Key` | 요청 | 쓰기를 안전하게 재시도할 수 있게 합니다 |
| `X-Conare-Org` | 요청 | 다중 조직 키에서 대리할 조직([목록 보기](https://docs.conare.ai/ko/api-reference/organizations/list-organizations.md)) |
| `Content-Encoding: gzip` | 요청 | 압축된 본문. 제한은 압축 해제된 크기로 계산합니다 |
| `X-Request-Id` | 응답 | 모든 응답에 포함됩니다. 지원팀에 문의할 때 포함하세요 |
| `Retry-After` | 응답 | `429`와 `503`에서 기다릴 초 |
| `Conare-Degraded` | 응답 | 리랭킹 같은 작업 일부 없이 요청이 성공함([값](https://docs.conare.ai/ko/query.md#저하된-결과)) |
| `Idempotent-Replayed` | 응답 | 재시도가 첫 응답을 받았을 때 `true` |

## 상태 확인

`GET /health/deep`은 키가 필요 없습니다. `status`는 `ok`, `degraded`(둘 다 HTTP 200) 또는 `down`(HTTP 503)입니다.

```json Response theme={null}
{ "status": "ok", "checkedAt": "2026-10-21T21:39:16.729996745Z" }
```


## Related topics

- [turbopuffer API](https://docs.conare.ai/ko/turbopuffer.md)
- [Embed texts (OpenAI-compatible)](https://docs.conare.ai/ko/api-reference/models/embed-texts-openai-compatible.md)
- [Rerank documents (Cohere- and vLLM-compatible)](https://docs.conare.ai/ko/api-reference/models/rerank-documents-cohere-and-vllm-compatible.md)
- [Rerank documents (Cohere v2-compatible)](https://docs.conare.ai/ko/api-reference/models/rerank-documents-cohere-v2-compatible.md)
- [Connect a source](https://docs.conare.ai/ko/api-reference/sources/connect-a-source.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.